summaryrefslogtreecommitdiffstats
path: root/linhes/linhes-dev/lh_update_db_repo.sh
diff options
context:
space:
mode:
Diffstat (limited to 'linhes/linhes-dev/lh_update_db_repo.sh')
-rwxr-xr-xlinhes/linhes-dev/lh_update_db_repo.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/linhes/linhes-dev/lh_update_db_repo.sh b/linhes/linhes-dev/lh_update_db_repo.sh
new file mode 100755
index 0000000..3316e38
--- /dev/null
+++ b/linhes/linhes-dev/lh_update_db_repo.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+# tiny util to regenreate the database on the LOCAL machine
+
+if [ $# -ne 2 ]
+then
+ echo "incorrect number of args"
+ echo "lh_update_db_repo.sh directory repo"
+ echo "EX: update_db_repo.sh /data/dev/pkg_repo/x86_64/linhes-testing linhes-testing"
+ exit 1
+fi
+
+
+cd $1
+REPO=$2
+echo " --------------------------"
+echo "updating database for $REPO"
+echo " --------------------------"
+#pwd
+ #forcefully remove the old db to start clean
+ rm -f $REPO.db.tar.gz
+ repo-add -q $REPO.db.tar.gz *.pkg.tar.*
+cd -